import { AbstractObjectTransactionHander } from "./AbstractObjectTransactionHander";
export class CreateObjectPropertyTransactionHandler extends AbstractObjectTransactionHander {
    applyTransaction(transaction) {
        const object = this.getObjectOrThrow(transaction.objectId);
        object.properties.push({
            propertyId: transaction.propertyId,
            propertyName: transaction.propertyName,
            propertyType: transaction.propertyType,
        });
    }
}
